Bug 167223

Summary: Revert r210882, removing support for background-repeat-x/y
Product: WebKit Reporter: Simon Fraser (smfr) <simon.fraser>
Component: New BugsAssignee: Simon Fraser (smfr) <simon.fraser>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dbates, mmaxfield, simon.fraser
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
mmaxfield: review+
Patch commit-queue: commit-queue-

Description Simon Fraser (smfr) 2017-01-19 18:03:54 PST
Revert r210882, removing support for background-repeat-x/y
Comment 1 Simon Fraser (smfr) 2017-01-19 18:06:26 PST
Created attachment 299294 [details]
Patch
Comment 2 Myles C. Maxfield 2017-01-19 19:14:46 PST
Comment on attachment 299294 [details]
Patch

Instead of removing tests, can we actually add tests that it doesn't work?
Comment 3 Simon Fraser (smfr) 2017-01-19 23:03:06 PST
Yes, we should. I started doing that, so should complete the task.
Comment 4 Simon Fraser (smfr) 2017-01-20 14:07:15 PST
Created attachment 299379 [details]
Patch
Comment 5 Simon Fraser (smfr) 2017-01-20 14:54:11 PST
Inspector issue: bug 167255
Comment 6 WebKit Commit Bot 2017-01-21 17:29:24 PST
Comment on attachment 299379 [details]
Patch

Rejecting attachment 299379 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 299379, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Myles Maxfield found in /Volumes/Data/EWS/WebKit/LayoutTests/ChangeLog does not appear to be a valid reviewer according to contributors.json.
/Volumes/Data/EWS/WebKit/LayoutTests/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://webkit-queues.webkit.org/results/2927933
Comment 7 Simon Fraser (smfr) 2017-01-25 09:44:41 PST
https://trac.webkit.org/changeset/211149
Comment 8 Simon Fraser (smfr) 2017-01-25 10:03:03 PST
Tests fixed in https://trac.webkit.org/changeset/211152
Comment 9 Simon Fraser (smfr) 2017-01-25 14:07:14 PST
And a final fix in https://trac.webkit.org/changeset/211164